0.187
-----


MAMETesters Bugs Fixed
----------------------
- 03041: [Graphics] (starshp1.cpp) starshp1, starshpp: Speed and graphics information from the real machine (Frank Palazzolo)
- 03585: [Gameplay] (norautp.cpp) norautp, norautjp: Readout Switch (AJR)
- 06479: [Sound] (kchamp.cpp) kchampvs, kchampvs2, karatevs: ADPCM samples are distorted (AJR)
- 06594: [Misc.] isa_ibm_mda: Typo on the "isa_ibm_mda" set description (Robbbert)
- 06599: [Sound] (zaxxon.cpp) ixion, razmataz: Missing sound (AJR)
- 06603: [Documentation] (odyssey2.cpp) jopac: In the description there are two useless spaces at the beginning (Tafoid)
- 06612: [Interface] (a7800.cpp) a7800.ccp: Machine inputs broken (Ivan Vangelista)
- 06614: [Sound] (arkanoid.cpp) arkanoid and clones, arkatour: Sound pitch is too high by 100% (Lord Nightmare)
- 06617: [Graphics] (nbmj9195.cpp) imekura: Graphic corruption in many places (Ivan Vangelista)


New working machines
--------------------
Game & Watch: Donkey Kong Jr. (new wide screen) [hap, Sean Riddle, Roger Coltrane]
Game & Watch: Mario Bros. [hap, Sean Riddle, incog]
Goupil G2 [Jean-Francois DEL NERO]
Jump Kun (prototype) [ShouTime]
Sel-Jan [BET] (Japan) [Angelo Salese, system11, The Dumping Union]
Victory (Comsoft) [Andrew Welburn, ArcadeHacker, David Haywood]
Waku Waku Ultraman Racing [ShouTime, gamerfan, Rod_Wod, MetalliC, Peter Wilhelmsen, Smitdogg, The Dumping Union]


New working clones
------------------
Bambino Classic Football [hap]
Burnin' Rubber (DECO Cassette) (Japan) [Charles MacDonald, The Dumping Union]
Danger Track (Rally X bootleg) [Rafael Alonso, Ricky2001, Rockman, ArcadeHacker]
Fidelity Sensory Chess Challenger 9 (rev. B) [yoyo_chessboard]
Gingateikoku No Gyakushu (bootleg set 3) [Andrew Welburn, Craig Anstett, The Dumping Union]
Graplop (DECO Cassette) (Japan) [Charles MacDonald, The Dumping Union]
Guerrilla War (Version 1, set 2) [Artemio Urbina, The Dumping Union]
HP 9845B (Germany) [F.Ulivi, A.Kueckes]
HP 9845C (Germany) [F.Ulivi, A.Kueckes]
HP 9845T (Germany) [F.Ulivi, A.Kueckes]
Jack Potten's Poker (set 10, ICP-1 PCB) [TeamEurope, Roberto Fresca]
Lock'n'Chase (DECO Cassette) (Japan) [Charles MacDonald, wtc4ever, The Dumping Union]
Mach-9 (bootleg of Vulgus) [Marcos75, The Dumping Union]
Macross II (Korea) [CoolMod, CS, The Dumping Union]
Marchen Maze (Japan, hack?) [frsj8112, The Dumping Union]
Money Money (set 2)  [caius, The Dumping Union]
Offensive (Spanish bootleg of Scramble) [Rafael Alonso, Ricky2001, Rockman, ArcadeHacker, Marcos75, The Dumping Union]
Operation Thunderbolt (Japan, SC) [ShouTime, The Dumping Union]
Palamedes (US) [caius, The Dumping Union]
Pengo (set 5) [Corrado Tomaselli, The Dumping Union]
Power Instinct (USA, prototype) [ShouTime]
Pro Tennis (DECO Cassette) (Japan) [Charles MacDonald, The Dumping Union]
Spectar (revision 2, bootleg) [Ricky2001]
Tehkan World Cup (set 4, earlier?) [Purity, The Dumping Union]
Time Killers (v1.32I) [Brian Troha, The Dumping Union]
Victory (Comsoft) (bootleg) [Josele Fernandez]


Machines promoted to working
----------------------------
Goupil G1 [Jean-Francois DEL NERO]
Mattel Computer Gin [hap, Sean Riddle]


Clones promoted to working
--------------------------
Dragon 64 Plus [Nigel Barnes]
Treasure Island (DECO Cassette) (Region D) [David Haywood]


New machines marked as NOT_WORKING
----------------------------------
Big Deal Belgien (5.04) [Gerald (COY), Roberto Fresca]
Bel Slots Export (5.01) [Gerald (COY), Roberto Fresca]
D-CAT16 (Mega Drive handheld) [Team Europe]
Game & Watch: Mickey Mouse [hap, Igor]
Game Prince RS-1 [BeckieRGB]
Game Prince RS-16 [BeckieRGB]
HP9000/332 [R. Belmont, Al Kossow]
GRiD Compass 1101 [shattered]
GRiD Compass II 1121 [shattered]
Nokia D-box 1, Kirsch gruppe [Joakim Larsson Edstrom]
Percussion Freaks 5th Mix (G*B05 VER. KAA) [Guru, smf]
Pingu's Ice Block [Darksoft, MetalliC]
Player's Edge (PK1002-PC082) Jake's Jacks Bonus Poker [BrianT]
Quingo Export (5.00) [Gerald (COY), Roberto Fresca]
Ron II Mah-Jongg [system11, Angelo Salese, The Dumping Union]
Spirit of 76 [PinMAME]
V-Dog (prototype, earlier) [AttackedbyGlitch]
V-Smile Baby (US) [Sean Riddle]
VG Pocket Tablet [BeckieRGB]


New clones marked as NOT_WORKING
--------------------------------
Animal Basket (19 Jan 2005) [brizzo]
Black Knight 2000 (PF-1) [PinMAME]
Chrysler Electronic Voice Alert (24-function) [hap, Sean Riddle, David Viens]
E-Swat - Cyber Police (bootleg, set 2) [Hammy, The Dumping Union]
Ez2dancer 2nd Move [RetroRepair, Guru]
Forty-Love (Japan) [ShouTime]
GRiD Compass 1109 [shattered]
GRiD Compass II 1129 [shattered]
GRiD Compass II 1131 [shattered]
GRiD Compass II 1139 [shattered]
Motor Raid - Twin/DX [Bill D., The Dumping Union]
New Century (Spanish bootleg of Scramble) [Marcos75]
OutRun 2 Special Tours (Japan) (GDX-0011) [rtw]
The Bounty (set 2) [caius, The Dumping Union]
Treamcast [Maddog]
V-Smile (US) [Sean Riddle]


New working software list additions
-----------------------------------
abc80_cass, abc80_flop: ABCStacker [Andreas Gustafsson]
archimedes: Countdown to Doom, The Last Days of Doom [Nigel Barnes]
bbcmc: Bikes [Nigel Barnes]
dragon_cart: Sound Extension [Nigel Barnes]
dragon_cass: Hang It! [Nigel Barnes]
dragon_flex:
  Chatplus V1.0.2, DBASIC (Alt), DBASIC, Diagnostics, DragonPlus Updates, Editor & Assembler (DragonPlus), Editor & Assembler,
  Extended Basic, SP-Edit (DragonPlus), Super Sleuth Disassembler, Text Processing System, Utilities, Utilities (Alt) [Nigel Barnes]
dragon_flop:
  BT Codes Search, Composer Companion (DragonFire), Composer X (PSE), Copycat (PSE), DCHROME & SCANNER, Desk Top Publisher V2,
  Desktop, Discup (PSE), Dragon Detour, DynaFast v1.5.0, FEdit, Forth Compiler (DeltaDOS), Golden Oldies, Machine Language Tutorial,
  Mandragore, Multi-Disk, Orange Base, PyrAdventure, RolaBall2, Shaolin Master Plus,, Sprite Designer (PSE), Supa Nova,
  Super Writer 2, Telewriter V1, Telewriter V2, Telewriter V4, The Fun Disc!, The Hobbit, Utility Pack (PSE), W.I.M.P. (1989)
  [Nigel Barnes]
dragon_os9: Cash and VAT, DragonPlus OS9 Drivers, Stock Control [Nigel Barnes]
ibm5150:
  4D Boxing, 4D Sports Boxing, 688 Attack Sub (3.5", older), Gunboat: River Combat Simulation,
  Ivan "Ironman" Stewart's Super Off Road, Jordan vs. Bird: One on One, Kings of the Beach, Menace, PC Tools (various versions),
  PKZip 2.04g, Platoon, Risky Woods, SimEarth, Star Goose!, Wrath of the Demon, Xenon [ArcadeShadow]
ibm5170:
  Disney's Aladdin, Gobliiins, Gobliins 2: The Prince Buffoon, Goblins Quest 3, PC Tools (various versions), SimFarm [ArcadeShadow]
pet_quik: Hardcore Petting, No Pets Allowed [Curt Coder]
pce_tourvision: Ankoku Densetsu, Batman, Burning Angels, Cadash, Gradius, Toilet Kids, World Jockey [system11, The Dumping Union]
x68k_flop:
  Bradion, Dennou Club Vol. 90 Tokubetsu Henshuu-ban, Dennou Club Vol. 94, Dennou Club Vols. 96-139, GJ, Nemesis '95 Gradius 2
  [Justin Kerk]


New NOT_WORKING softwre list additions
--------------------------------------
dragon_cart: EPROM Programmer, Speech Synthesis, Ultra Drive [Nigel Barnes]
vsmile_cart:
  Abenteuer im ABC Park (GER), Finding Nemo - De Wonderwereld Van Nemo (NL), Mickey Mouse Clubhouse (NL),
  Shrek De Derde - Arthurs Schooldag Avontuur (NL) [Team Europe]


Source Changes
--------------
-plugins/cheat: Add hotkey support, and nes, snes and genesis Game Genie support. [Carl]

-Added initial support for SiS85c496/497 PCI chipset, and added first pass shadow RAM and SM RAM support. [R. Belmont]

-hp9k_3xx updates: [R. Belmont]
 * Preliminary working DIO/DIO-II bus implementation and 98544 video card.
 * Hooked up i8042 I/O microcontroller comms to main CPU.
 * Support medium-res built-in video on 9000/332.

-Improved CD audio play track/index command handling. [smf]

-Added unused DIP switches 7 and 8 to Eeekk! since it's a conversion of pacman. [smf]

-terracre.cpp: Added actual hookup for protection data and fixed potential buffer overflow. [Angelo Salese]

-cop01.cpp: Improved Mighty Guy sound. [Angelo Salese]

-apricot: Switched to preferred Z80SIO device. [Dirk Best]

-drawgfx: Made the palette optional, and fixed viewgfx for case where palette is absent. [O. Galibert]

-devcb: Added line hold capability. [O. Galibert]

-bgfx: Fixed xBR-lv2-multipass, xBR-lv2-fast, xBR-lv2-noblend, xBR-lv2, xBR-lv3-noblend, and xBR-lv3 shaders. [Ryan Holtz]

-Added preliminary YM3802 MIDI/cassette controller with MIDI clock timer and click counter. [Barry Rodewald]
 * Added X68000 expansion device using the YM3802, Mahou Daisakusen (x68k) plays MIDI music.

-ti99 updates: [Michael Zapf]
 * Implemented Hexbus and HX5102 floppy early WIP.
 * Cleaned up slot devices architecture and renamed constants.
 * Added new cartridge type paged7 for TI-CALC.

-accomm: Fully implemented keyboard, added sound (same as Electron), and added layout with Caps/Shift Lock LEDs. [Nigel Barnes]

-d64plus: Implemented banking of extra 64K, and 6845 with chargen - promoted to working. [Nigel Barnes]

-dragon32: Added JCB Sound Extension cartridge. [Nigel Barnes]

-dragon200e: Added correct keyboard. [Nigel Barnes]

-starshp1 updates: [Frank Palazzolo]
 * Fixed graphics/speed issues.
 * Made Fast/Slow momentary as on real cabinet, added note about behaviour.
 * Updated clocks according to latest information.

-z80scc: Added support for resetting RX interrupts/status by reading Rx FIFO through RR3. [Joakim Larsson Edstrom]
 * Gets virtpool driver terminal a bit further, but not all the way (no visible difference).

-dbox: Separated skeleton driver from unfinished display device. [Joakim Larsson Edstrom]

-Replaced fake TLCS-90 I/O space with callbacks. [AJR]

-pangba, pangbb, spangbl: Reduced ADPCM rate to make music speed match original, use callback for audio IRQ. [AJR]

-tail2nos: Added flip screen support, documented non-effect of "Country" switch. [AJR]

-aerofgt.cpp: Video and sound refinements: [AJR]
 * Fixed sound loss in spinlbrk and clones caused by misconfigured ROM bank.
 * Work towards flip screen support for most games - aerofgtb is nearly correct now.

-dynablst, bbmanw & clones: Use 4-way joysticks (as service manuals suggest). [AJR]

-toaplan2.cpp: Generate (and acknowledge) video interrupts within VDP. [AJR]

-Made TC0040IOC its own device type and separated its functionality from TC0220IOC. [AJR]

-galastrm, undrfire, cbombers, groundfx, gunbustr, superchs, 2mindril: Use TC0510NIO device for inputs. [AJR]

-Sort slot options by name in -listslots output. [AJR]

-Made CBM IEC device names more descriptive. [AJR]

-sidebs: Fixed POST failure in debug build. [AJR]

-taito_en: Use MB8421 for communication RAM. [AJR]

-mjkjidai: Use 8255 devices for I/O. [AJR]

-subsino.cpp: Use 8255 devices (most of which are only used for input). [AJR]

-suprloco: Replaced soundlatch with 8255 device that runs in mode 2. [AJR]

-Added TE7750 Super I/O Expander device. [AJR]

-m72.cpp, m92.cpp: Put IRQ hacks out of their misery. [AJR]

-norautp: Restored some inputs that were disconnected many releases ago, don't hardcode "Readout" inputs. [AJR]

-grdian, getstarj: Replaced MCU simulation with new dump. [AJR, ShouTime, brizzo]

-s2650: Modernised I/O: [AJR]
 * Replaced fake S2650_SENSE_PORT address with line read callback (set_input_line should also work).
 * Moved S2650_CTRL_PORT and S2650_DATA_PORT to I/O address space.

-Don't try to read past the end of a memory space in debug view. [AJR]

-Added validation for slot cards and fixed some errors exposed by this. [Vas Crabb, AJR]

-Fixed Tandy CoCo keyboard mapping (github issue #2386). [Vas Crabb]

-taitosj: Made security MCU hookup a device. [Vas Crabb]

-exidy.cpp: Added PROMs to Spectar taken from a bootleg set - believed to match original. [Ivan Vangelista]

-Migrated remaining device machine configuration additions to instance member functions. [Ivan Vangelista]

-Made RAM device look for [km](i?b)? rather than [km].* suffix. [Nathan Woods]

-Fixed a crash when returning to the front-end after launching a system from favorites. [Nathan Woods]

-CoCo: Overhauled the cartridge slot subsystem. [Nathan Woods]

-Made read_or_write a scoped enum. [Nathan Woods]

-Changed the profiler to use std::ostringstream as the text sink (instead of std::string). [Nathan Woods]

-Cleaned up CoCo 3 GIME implementation. [Nathan Woods]

-Changed a few C strings to std::string references in the debugger. [Nathan Woods]

-Quingo: Switched to hot slots machine (more accurate). [RobertoFresca]

-Big Deal Belgien, Bel Slots Export: Added PCB layouts. [RobertoFresca]

-r9751: Added more SMIOC registers. [Brandon Munger]

-HP9845: Improved keyboard mapping and added German layout. [F.Ulivi, A.Kueckes]
 * Implemented SHIFT LOCK key, added pop-ups and outputs showing state of toggle keys.
 * Lowered volume of beeper (was too loud according to A.Kueckes).

-Added read support for the disk format SDF used in the CoCoSDC. [Tim Lindner]

-CoCo: Added Speech/Sound Cartridge support. [Tim Lindner]

-Fixed JVC disk format to correctly recognize 2 sided disks. [Tim Lindner]

-Implemented busy delay in CoCo SSC. [Tim Lindner]

-EF9365: Fixed the hardware vector engine (fixes ARC Squale Basic). [Jean-Francois DEL NERO]

-Interpro driver updates: [Patrick Mackinlay]
 * Added skeleton for srarb.
 * Improved mcga/fmcc skeleton and fixed mcga/fmcc detection.
 * Expanded cammu skeletons.
 * Added support for "new" SCSI.
 * Added clock-based ioga interrupts.
 * Added forced NMI handling.
 * Improved SCSI DMA.
 * Removed broken caching.
 * Added Clipper CPU ID support.
 * Added enum masks and unknown registers, disabled bus errors.
 * Made RAM configurable and improved system registers.
 * Added initial implementation of unmapped memory handler.
 * DMA/IRQ changes, serial DMA registers.
 * Added 7-segment diagnostic LED.
 * NMI and DMA improvements - NMI boot diagnostics pass.
 * Made floppy DMA read and write work.
 * Improved logging.

-ncr5390.cpp: Added basic 53c94 support. [Patrick Mackinlay]

-t10spc.cpp: Added missing start/stop unit command [Patrick Mackinlay]

Gameboy updates: [Tauwasser]
 * Cleaned up Gowin information in gameboy.xml, added information from archived web site and catalogue.
 * Replaced GoodGBX MBC1 Collection check code with direct comparison of internal ROM name.
 * Removed buffer over-read in get_cart_type.
 * Updated MBC1-MBC5 mapper documentation.

-Use more likely clocks for littlerb based on PCB crystals (main CPU is more likely 8MHz than 12MHz). [David Haywood]
 * Also added a hack to overclock the TMS to 120% so that the map screen renders properly.

-Moved Famiclone stuff from nes.xml to driver and added new sets. [David Haywood]

-Corrected Neo Geo sprite tile code mask to 20 bits (was previously 19 bits). [TheHpman]

-Fixed trailing space in -listclones and -listbrothers output. [Tafoid]

-naomi.cpp: Added five real dumps of SPI EEPROMs used in M1/171-7978B-type cartridges, updated docs. [f205v, MetalliC]

-naomi.cpp: Converted existing M1-type cart SN# EEPROMs data to be like real dumps. [MetalliC]

-naomi.cpp: Identified "Airline Pilots" sets as domestic Japan and World versions, according to information from Sega.
 [ShouTime, MetalliC]

-chaknpop: Replaced MCU simulation with dump. [Team Japump!!!, Chack'n, Hau]

-kuniokun: Replaced MCU simulation with actual dump. [ShouTime, brizzo]

-Use actual M68705P5 dump for Rumba Lumber, replaces inaccurate simulation. [ShouTime, brizzo]

-Onna Sanshirou - Typhoon Gal: Use 68705 dump, replace inaccurate protection simulation. [ShouTime, brizzo]

-Use dumped M68705 for fieldday/undoukai. [ShouTime, brizzo]

-tetrsark: Add a totally useless MCU dump (apparently blank). [ShouTime, Brizzo]

-arkanoidja, arkanoidu, arkatour: Replaced hand-crafted MCU programs with 68705 dumps. [Lord Nightmare, ShouTime, brizzo]

-prebillian: Replaced MCU simulation with actual dump, fixed vblank input, fixed player 2 spinner input, and added launch button.
 [Lord Nightmare, ShouTime, brizzo]

-ay8910.cpp: Made device_clock_changed respect YM2149 pin 26, added pinout, and remove outdated comments. [Lord Nightmare]

-socrates.cpp: Converted socrates and iqunlimz to bankdev, hooked up socrates hblank input, and made profweis machine configuration
 derive from socrates. [Lord Nightmare]

-hh_sm510: Improved Mickey & Donald SVG artwork. [Sean Riddle, Roger Coltrane]

-naomi.cpp: Bruteforced "Dragon Treasure" main unit DES key. [Mike Ryan]

-svmu: Added two English BIOS versions and a newer Japanese BIOS version. [Kingizor]

-system16.cpp: Corrected clocks for Alien Storm (bootleg, set 2). [caius, The Dumping Union]

-Fixed missing VLM5030 speech in Hyper Crash and increased volume, and fixed VLM loading in jailbrek and clones. [MASH]

-gradius4: Changed description to match title screen/flyer. [Pedro J. Martinez]

-Renamed "Cyber Arcade 120-in-1" to "Defender M2500P 120-in-1" (correct name according to dumper). [AttackedbyGlitch]

-Corrected descriptions for Gradius 4: Fukkatsu and Silent Scope 2. [sjy96525]

-Changed Air Combat 22 auto-centering throttle from Pedal to AD_STICK_Z. [sjy96525]
